Update intent source access
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidsource_id*Source IdFormat
uuidapplication/json- body
expected_revision*Expected RevisionRange
1 <= valuereason*ReasonLength
10 <= length <= 4000state*StateValue in
"active""revoked"Successful Response
application/json- response
created_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidcreated_by_name*Created By Nameid*IdFormat
uuidlocator*revision*Revisionscope_key*Scope Keysource_key*Source Keystate*StateValue in
"active""revoked"updated_at*Updated AtFormat
date-timecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/access' \ -H 'Content-Type: application/json' \ -d '{ "expected_revision": 1, "reason": "stringstri", "state": "active"}'Example Response
{ "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "created_by_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locator": { "property1": "string", "property2": "string" }, "revision": 0, "scope_key": "string", "source_key": "string", "state": "active", "updated_at": "2019-08-24T14:15:22Z"}